Attribute VB_Name = "modVHTree"
Option Explicit

Public Const MASTER_ROOT As String = "-|*MASTER*|-"
Public Const ROOT_TYPE As String = "-|*ROOT_TYPE*|-"

Public Enum enumNodeSortMethod
    eNoSort = 0
    eCaption = 1
    ePriority = 2
End Enum

Public Enum enumBackImageSettings
    eImageNone = 0
    eImageStretched = 1
    eImageTiled = 2
    eImageAsIs = 3
End Enum

Public Enum enumDragScope
    eUnsupported = 0
    eInternalSource = 1
    eExternalSource = 2
    eInternalTarget = 4
    eExternalTarget = 8
    eAllInternalOps = 5
    eAllExternalOps = 10
    eAllDragDropOps = 15
End Enum

Public Enum enumUserInteractivty
    eAllowNone = 0
    eAllowEdits = 1
    eAllowDeletes = 2
    eAllowSiblings = 4
    eAllowChildren = 8
    eAllowAll = 15
End Enum

Public Enum enumCaptionUniqueness
    eUniqueWithinSiblings = 0
    eUniqueWithinType = 1
End Enum

Public Enum enumNodeRequestType
    eNewSibling = 0
    eNewChild = 1
End Enum


Private Type PICTDESC
   cbSize As Long
   pictType As Long
   hIcon As Long
   hPal As Long
End Type

Private Declare Function LoadCursorW Lib "user32" (ByVal hInstance As Long, ByVal lpCursorName As Long) As Long
Private Declare Function OleCreatePictureIndirect Lib "OLEPRO32.DLL" (lpPictDesc As PICTDESC, riid As Any, ByVal fOwn As Long, IPic As IPicture) As Long
Public Function IconToPicture(ByVal hIcon As Long) As Picture
Dim pic As PICTDESC, GUID(0 To 3) As Long

    pic.cbSize = Len(pic)
    pic.pictType = vbPicTypeIcon
    pic.hIcon = hIcon
    GUID(0) = &H7BF80980
    GUID(1) = &H101ABF32
    GUID(2) = &HAA00BB8B
    GUID(3) = &HAB0C3000
    OleCreatePictureIndirect pic, GUID(0), True, IconToPicture
End Function
Public Function CreateCursor() As IPictureDisp
Dim H As Long
   H = LoadCursorW(0, IDC_HAND)
   Set CreateCursor = IconToPicture(H)
End Function

